﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class WTOSYSadmin_Products_ProductAttribute : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["WtoRightName"] == null)
        {
            Response.Redirect("~/SYSADMIN/main/error.aspx?err=非法登陆!或系统超时，请刷新后重新登录");
        }
        if(!IsPostBack)
        {
            this.databind();
        }
     
    }
   public void databind()
    {
        SqlConnection attributeconn = CDatabase.wtoconn();
        attributeconn.Open();
        SqlDataAdapter sdr = new SqlDataAdapter("select * from BigProductAttribute", attributeconn);
        DataSet ds = new DataSet();
        sdr.Fill(ds);
        this.ddllb.DataSource = ds;
        this.ddllb.DataTextField ="BigAttribute";
        this.ddllb.DataValueField = "id";
        this.ddllb.DataBind();
        ds.Clear();
        SqlDataAdapter sdr2 = new SqlDataAdapter("select * from SmallProductAttribute where attvalue='novalue'", attributeconn);
        DataSet ds2 = new DataSet();
        sdr2.Fill(ds2,"cu");
        this.GridView1.DataSource = ds2;
        this.GridView1.DataKeyNames = new string[] { "id" };
        this.GridView1.DataBind();

        Label aa;
        this.Label1.Text = "当前记录数为<font color='red'><b>" + ds2.Tables["cu"].DefaultView.Count + "</b></font>.分为<font color='red'><b>" + this.GridView1.PageCount + "</b></font>页显示.";
        if (GridView1.Rows.Count == 0)
        {
            this.mslable.Visible = true;
        }
        SqlCommand sdd = new SqlCommand("select max(Sort) from SmallProductAttribute", attributeconn);
        this.Sort.Text = Convert.ToString(Convert.ToInt32(sdd.ExecuteScalar()) + 1);
        for (int i = 0; i <= GridView1.Rows.Count - 1; i++)
        {
            DataRowView mydrv = ds2.Tables["cu"].DefaultView[i];
            if (Convert.ToString(mydrv["AttributeFL"]).Trim() == "1")
            {
                aa = (Label)GridView1.Rows[i].FindControl("lb");
                aa.Text = "属性";
            }
            if (Convert.ToString(mydrv["AttributeFL"]).Trim() == "2")
            {
                aa = (Label)GridView1.Rows[i].FindControl("lb");
                aa.Text = "配件";
            }
        }
       

    }
   //插入大类
    protected void LinkButton2_Click(object sender, EventArgs e)
    {
　　　　 string LBName = Request["LBName"].ToString().Trim();
        string id = this.ddllb.SelectedValue.ToString();

        int smLB =Convert.ToInt32(this.ddlsmfl.SelectedValue);
        string Sort = Request["Sort"].ToString().Trim();
        Response.Write(id);

        SqlConnection conn = CDatabase.wtoconn();
        conn.Open();
        SqlCommand combigname = new SqlCommand("select BigAttribute from BigProductAttribute where id=" + id, conn);
        string BigAttributeName = combigname.ExecuteScalar().ToString().Trim();
        combigname.Dispose();

        SqlCommand cmd2 = new SqlCommand("insert into SmallProductAttribute(SmallAttribute,BigAttributeId,BigAttributeName,AttributeFL,Sort) values ('" + LBName + "'," + id + ",'" + BigAttributeName + "'," + smLB + "," + Sort + ")", conn);
        cmd2.ExecuteNonQuery();
        conn.Close();
        Response.Redirect("ProductAttributeSmall.aspx");
    
     
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        databind();
    }


    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        # region 行变色
        int i;
        int g = 0;
        //执行循环，保证每条数据都可以更新
        for (i = 0; i < GridView1.Rows.Count; i++)
        {
            //首先判断是否是数据行
            if (e.Row.RowType == DataControlRowType.DataRow)
            {

                //当鼠标停留时更改背景色
                e.Row.Attributes.Add("onmouseover", "c=this.style.backgroundColor;this.style.backgroundColor='#00A9FF'");
                //当鼠标移开时还原背景色
                e.Row.Attributes.Add("onmouseout", "this.style.backgroundColor=c");
            }
            g++;
        }
        //如果是绑定数据行 
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            //鼠标经过时，行背景色变 
            e.Row.Attributes.Add("onmouseover", "this.style.backgroundColor='#E6F5FA'");
            //鼠标移出时，行背景色变 
            e.Row.Attributes.Add("onmouseout", "this.style.backgroundColor='#FFFFFF'");
        }
        # endregion
        //如果是绑定数据行 
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            if (e.Row.RowState == DataControlRowState.Normal || e.Row.RowState == DataControlRowState.Alternate)
            {
                ((HyperLink)e.Row.Cells[8].Controls[0]).Attributes.Add("onclick", "javascript:return confirm('你确认要删除吗?')");
            }
        }
    }
    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void CheckBox2_CheckedChanged(object sender, EventArgs e)
    {
        for (int i = 0; i <= GridView1.Rows.Count - 1; i++)
        {
            CheckBox cbox = (CheckBox)GridView1.Rows[i].FindControl("CheckBox1");
            if (CheckBox2.Checked == true)
            {
                cbox.Checked = true;
            }
            else
            {
                cbox.Checked = false;
            }
        }
    }
    protected void LinkButton3_Click(object sender, EventArgs e)
    {
        for (int i = 0; i <= GridView1.Rows.Count - 1; i++)
        {
            CheckBox cbox = (CheckBox)GridView1.Rows[i].FindControl("CheckBox1");

            if (cbox.Checked == true)
            {
                string sqlstr = "delete from SmallProductAttribute where  id=" + GridView1.DataKeys[i].Value;
                Doadmin.Execsql(sqlstr);
            }
        }
        this.databind();
    }
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        CheckBox2.Checked = false;
        for (int i = 0; i <= GridView1.Rows.Count - 1; i++)
        {
            CheckBox cbox = (CheckBox)GridView1.Rows[i].FindControl("CheckBox1");
            cbox.Checked = false;
        }
    }
    protected void GridView1_SelectedIndexChanged1(object sender, EventArgs e)
    {

    }
}
